Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table.span
Interface PropertyConfig

All Superinterfaces:
  Available, com.tonbeller.wcf.bookmarks.Bookmarkable

All Known Implementing Classes:
  PropertySpanBuilder

    public interface PropertyConfig

extends com.tonbeller.wcf.bookmarks.Bookmarkable, Available

defines which properties shall be visible and which shall be hidden

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)` notifies the listener that this config has changed (and the model has possibly to be redrawn)
`java.util.List` | `getVisiblePropertyMetas()`
`boolean` | `isAvailable()` does the underlying OLAP model support properties?
`boolean` | `isShowProperties()` shall properties be shown at all?
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` | `setShowProperties(boolean b)`
`void` | `setVisiblePropertyMetas(java.util.List metas)` sets the ordered list of visible MemberPropertyMeta instances.

Methods inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`getBookmarkState, setBookmarkState`

Method Detail

### isShowProperties

    boolean isShowProperties()

  shall properties be shown at all?

### setShowProperties

    void setShowProperties(boolean b)

### isAvailable

    boolean isAvailable()

  does the underlying OLAP model support properties?

  Specified by:
    `isAvailable` in interface `Available`

### setVisiblePropertyMetas

    void setVisiblePropertyMetas(java.util.List metas)

  sets the ordered list of visible MemberPropertyMeta instances.

  Parameters:
    `metas` - list containing MemberPropertyMeta. Properties which are not present in the list will not be shown. If null, all properties are shown.

### getVisiblePropertyMetas

    java.util.List getVisiblePropertyMetas()

### addPropertyChangeListener

    void addPropertyChangeListener(java.beans.PropertyChangeListener l)

  notifies the listener that this config has changed (and the model has possibly to be redrawn)

### removePropertyChangeListener

    void removePropertyChangeListener(java.beans.PropertyChangeListener l)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD